#' Clonotype  analysis module ui logic
#'
#' @param id A unique identifier for the UI module. This is necessary for distinguishing 
#'           this module's input from others in the same Shiny application.
#'
#' @return
#' @export
#'
#' @examples
#' clonotypeAnalysisUI("clonotypeAnalysisModule")
clonotypeAnalysisUI <- function(id) {
  ns <- NS(id)
  fluidPage(
    titlePanel("Clonotype Analysis"),
    h5("Clonotypes are reported by CogentAP using TRUST4. Please see user manual for more information"),
    fluidRow(
      column(4,
             uiOutput(ns("radioButtonsSelection")),
             uiOutput(ns("clonotypeSelection")),
      ),
      column(8,
             uiOutput(ns("resetbtn")),
             selectInput(ns("ClonotypePlt"), "File Type Selection:", choices = list("PNG" = ".png", "PDF" = ".pdf", "SVG" = ".svg", "JPEG" = ".jpeg"), selected = ".png"),
             uiOutput(ns("downloadPlotUI")),
             plotlyOutput(ns("clonotypes_plot"), width = "700", height = "600")
      )
    )
  )
}
