downloadSeurat_v5_Server <- function(id, seuratObj) {
  
  moduleServer(id, function(input, output, session) {
    ns <- session$ns
    output$scRNAObjectDownload <- downloadHandler(
      filename = function() {
      paste0("CogentDS_v2.0_Analysis_Processed_Seurat_v5_Object", "-", Sys.Date(), ".rds")
      },
      content = function(file) {
        withProgress(message = 'Preparing Data for Download...', value = 0, {
          incProgress(0.5, detail = "Downloading..Please Wait...")
          tryCatch({
            sc_object = seuratObj()
            sc_object@assays$user_parameter_tracker = NULL
            saveRDS(sc_object, file = file)
            shinyjs::disable("scRNAObjectDownload")
            shinyalert('Processed Seurat v5 Object Downloaded', "Thank you! CogentDS Team", type = "success", confirmButtonCol = "#1c82e0")

          }, error = function(e) {
            shinyalert('Error in downloading the processed Seurat v5 Object', 'Please check your input parameters', type = "error", confirmButtonCol = "#1c82e0")
          })
          incProgress(0.5, detail = "Downloaded")
        })
      } 
    )
  })
}