#' UI logic for Lasso selection & DE Analysis
#' 
#' Generates UI elements for the UMAP lasso selection module
#'
#' @param id A unique identifier for the UI module. This is necessary for distinguishing 
#'           this module's input from others in the same Shiny application.
#'
#' @return
#' @export
#'
#' @examples umapLassoSelectionUI("umapLassoSelectionModule")
#' UI logic for Lasso selection & DE Analysis
#' 
#' Generates UI elements for the UMAP lasso selection module
#'
#' @param id A unique identifier for the UI module. This is necessary for distinguishing 
#'           this module's input from others in the same Shiny application.
#'
#' @return
#' @export
#'
#' @examples umapLassoSelectionUI("umapLassoSelectionModule")
umapLassoSelectionUI <- function(id) {
  ns <- NS(id)
  
  tagList(
    h2("Custom Cell Selection"), 
    fluidRow(
      column(
        width = 4,
        selectInput(ns("Selectionchoice"), "Select Grouping:", choices = c("Clusters", "Cell Types"), selected = "Clusters"),
        bsPopover(ns("Selectionchoice"), "Identity Type", "Select either clusters or cell type to use for the analysis", placement = "right", trigger = "hover", options = list(container = "body")),
        uiOutput(ns("downloadUI"))

      ),
      column(
        width = 8,
        # Plots and Data Table
        plotlyOutput(ns("reductionPlot"), width = "700", height = "600")
        
      )
    )
  )
}