### CogentDS v2.0 scRNA Module ###########

![alt text](https://github.com/takarabiousa/CogentDS_v2.0_scRNA/blob/main/www/workflow_new.png?raw=true)

Welcome to README!

Please follow these instructions to successfully install and launch CogentDS v2.0

#### Install Instructions for Windows and Mac Users
##### Step1 : Please Install R v>=4.4
```
	i) Go to website: https://cran.r-project.org/src/base/R-4/
	ii) Download [R-4.4.0.tar.gz] and install R
	iii) Go to website: https://posit.co/download/rstudio-desktop/
	iv) Download latest version of Rstudio for your Machine. Please note Mac and Windows have different install files
```

##### Step2 : If you are Windows user
```
	i) Go to website: https://cran.r-project.org/bin/windows/Rtools/rtools43/rtools.html 
	ii) Install RTools 4.3 or higher based on your R version
	iii) Go to website: https://github.com/Rdatatable/data.table/wiki/Installation and follow the instructions to install data.table
```

##### Step3 : If you are Mac user
```
	i) Open terminal and run: xcode-select --install
	ii) Complete the installation
	iii) Install homebrew: https://brew.sh/
	iv) Run brew install libomp, brew install gcc
	v) Go to website: https://github.com/Rdatatable/data.table/wiki/Installation and follow the instructions to install data.table
```


#### Install instructions for CogentDS v2.0 scRNA App ##############

##### Step1: Please complete all the steps listed above

##### Step2: Open RStudio and follow the instructions below
```
	i) Set working directory: Please replace the directory with path where you have cloned the repo: see example:
		setwd('/Users/chaturvedip/Library/CloudStorage/OneDrive-TakaraBioUSA,Inc/CogentDS_v2.0_scRNA/')
	ii) Paste this command to read source code for the app: source('app.R')
		The above command will auto install all required packages. Please provide prompts to the RStudio as requested. Installation is one time process.
	iii) Paste this command to launch the app: shinyApp(ui = ui, server = server)
	iv) Please go through this tutorial from Seurat Authors to familiarize yourself with scRNA analysis: https://satijalab.org/seurat/articles/pbmc3k_tutorial.html
```

##### Step3: Please ping Smriti or Praneet for questions, issues and bugs


### Please See:
#### Here is the list of R packages that will be installed by CogentDS v2.0 and their specific versions on which it has been tested ###

###### All packages will be auto installed but may require prompts to be answered by the user

###### Please use remove.packages() to remove any previous versions for important packages like:
```
remove.packages('Seurat')
remove.packages('Matirx')
```

###### Follow the instructions mentioned aboved to launch the app to install required packages

###### Please see the list of packages and associated versions to manage dependencies incase conflict stops installation or errors out

```
BiocManager_1.30.22
devtools_2.4.5
shiny_1.8.1.1
shinydashboard_0.7.2
shinyjs_2.1.0
Seurat_5.0.3
SingleCellExperiment_1.24.0
SingleR_2.4.1
decontX_1.0.0
celda_1.18.1
plotly_4.10.4
shinyalert_3.1.0
dplyr_1.1.4
presto_1.0.0
shinycssloaders_1.0.0
DT_0.33
celldex_1.12.0
data.table_1.15.99
Matrix_1.6-5
shinyBS_0.61.1
org.Hs.eg.db_3.18.0
org.Mm.eg.db_3.18.0
enrichplot_1.22.0
ggpubr_0.6.0
tidyverse_2.0.0
rlist_0.4.6.2
clusterProfiler_4.10.1
```
