# CogentDS v2.0 (Next Generation Sequencing Discovery Software)
CogentDS v2.0 repository with capabilities of launching multiple apps. Currently launches bulkRNA and scRNA app

### Internal development version v2.0.14

#### Welcome to README!

##### Please follow these instructions to successfully install and launch CogentDS v2.0


##### R and RStudio Install Instructions for Windows and Mac Users 

```
Step1 : Please Install R v>=4.4.0 (tested and verified)
	i) Go to website: https://cran.r-project.org/src/base/R-4/
	ii) Download [https://cran.r-project.org/src/base/R-4/R-4.4.0.tar.gz] and install R
	iii) Go to website: https://posit.co/download/rstudio-desktop/
	iv) Download latest version of Rstudio for your Machine. Please note Mac and Windows have different installer files

Step2 : If you are Windows user
	i) Go to website: https://cran.r-project.org/bin/windows/Rtools/rtools44/rtools.html 
	ii) Install RTools 4.4 or higher based on your R version

Step3 : If you are Mac user
	i) Open terminal and run: xcode-select --install
	ii) Complete the installation
	iii) Install homebrew: https://brew.sh/
	iv) Run brew install libomp, brew install gcc
```

##### Setup and Install instructions for CogentDS v2.0

```
Step1: Please complete all the steps listed above

Step2: Open RStudio and paste the commands below or follow instructions:

	i) setwd('/Users/chaturvedip/Desktop/CogentDS_v2.0/') (*** Please change your directory based on the location where you have downloaded the CogentDS folder)

	ii) source('setup_CogentDS.R')   (Installation is one time process)
		CogentDS installation options: Selection prompt should be 1 or 2
		1: default; recommended for most users
		2: alternative; if default gives error during installation

		Selection: 1 or 2  [1 is recommended for most users]

       iii) source('launch_CogentDS.R')

       iv) Please turn the browser into fullscreen mode for best experience
		Once you click to launch an app, please give few seconds for it to launch in the new tab in the browser. For some machines, environment prep and app launch can take upto a 60 seconds or more
```

##### Datasets for you to perform tests

* All the test data is added inside 'example_datasets/' folder

```
1) scRNA_PBMC_analyze_genematrix.small.csv.gz  			  [PBMC 4K SCI Stranded gene counts matrix]
2) geneInfo file: gene_info.csv                                   [PBMC 4K SCI Stranded mapping]
3) scRNA_processedAP.rds                                          [PBMC 2K SCI Stranded AP processed]
5) bulkRNA_processedAP.rds                                        [bulkRNA data processed AP]
6) bulkRNA_processedAP_metadata.csv                               [bulkRNA data processed AP metadata]
7) gmt file: c2.all.v2023.2.Hs.entrez.gmt                         [GSEA file]
```
