#!/usr/bin/env Rscript


######### SETUP
str = paste0('CogentDS setup: Checking and installing following packages: ', 'renv, BiocManager, and crayon')
cat(str)
cat("\n")
##############

##### setup environment
if (!require("renv", quietly = TRUE, warn.conflicts = FALSE)) install.packages("renv", repos="http://cran.us.r-project.org", verbose = FALSE)
if (!require("BiocManager", quietly = TRUE, warn.conflicts = FALSE)) install.packages("BiocManager", repos="http://cran.us.r-project.org", verbose = FALSE)
if (!require("crayon", quietly = TRUE, warn.conflicts = FALSE)) install.packages("crayon", repos="http://cran.us.r-project.org", verbose = FALSE)
########################


#### Installing packages and setting up R environment
input<-menu(c("default; recommended for most users", "alternative; if default gives error during installation"),title="CogentDS installation options: Selection prompt should be 1 or 2")

if(input == 1) {
	str = paste0('Installing following packages via renv')
	cat(blue(str))
	cat("\n")
	renv::install(packages = c('bioc::Biobase', 'devtools', 'shiny', 'shinydashboard', 'shinyjs', 'Seurat', 'bioc::SingleCellExperiment', 'bioc::SingleR', 'bioc::decontX', 'bioc::celda', 'plotly', 'shinyalert', 'dplyr', 'shinycssloaders', 'DT', 'bioc::celldex', 'Matrix', 'shinyBS', 'bioc::org.Hs.eg.db', 'bioc::org.Mm.eg.db', 'bioc::enrichplot', 'ggpubr', 'rlist', 'bioc::clusterProfiler', 'tidyverse', 'R.utils', 'rmarkdown', 'kableExtra', 'Routliers', 'ggrepel', 'bioc::DESeq2', 'bioc::MAST', 'pheatmap', 'RColorBrewer', 'bioc::ReactomePA', 'bioc::glmGamPoi', 'bioc::apeglm', 'bioc::EnhancedVolcano', 'msigdbr', 'immunogenomics/presto', 'Rdatatable/data.table'), rebuild = T)
	renv::init(load = T)
}
if(input == 2) {
	str = paste0('Installing following packages via renv')
	cat(blue(str))
	cat("\n")
	renv::install(packages = c('bioc::Biobase', 'devtools', 'shiny', 'shinydashboard', 'shinyjs', 'Seurat', 'bioc::SingleCellExperiment', 'bioc::SingleR', 'bioc::decontX', 'bioc::celda', 'plotly', 'shinyalert', 'dplyr', 'shinycssloaders', 'DT', 'bioc::celldex', 'Matrix', 'shinyBS', 'bioc::org.Hs.eg.db', 'bioc::org.Mm.eg.db', 'bioc::enrichplot', 'ggpubr', 'rlist', 'bioc::clusterProfiler', 'tidyverse', 'R.utils', 'rmarkdown', 'kableExtra', 'Routliers', 'ggrepel', 'bioc::DESeq2', 'bioc::MAST', 'pheatmap', 'RColorBrewer', 'bioc::ReactomePA', 'bioc::glmGamPoi', 'bioc::apeglm', 'bioc::EnhancedVolcano', 'msigdbr', 'git::git@github.com:immunogenomics/presto', 'git::git@github.com:Rdatatable/data.table'), rebuild = T)
	renv::init(load = T)
}
###################################################